package com.lutao.cloud.common.data.tenant;

import feign.RequestInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.ClientHttpRequestInterceptor;

/**

 * @date 2020/4/29
 * <p>
 * 租户信息拦截
 */
@Configuration
public class CloudTenantConfiguration{

	@Bean
	public RequestInterceptor cloudFeignTenantInterceptor(){
		return new CloudFeignTenantInterceptor();
	}

	@Bean
	public ClientHttpRequestInterceptor cloudTenantRequestInterceptor(){
		return new TenantRequestInterceptor();
	}

}
